Browse endpoints

Court Check

POST /api/v2/court_check operationId: court_check

Live: https://gdapi.globaldata.net.au/api/v2/court_check · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/court_check

Searches court records against a individual's or company's name and state.

Searches can be made against civil records, criminal records, or both.

There are two types of searches:

  • Summary - This returns the number of records and type that can be found against the individual or company.
  • Detailed - This returns the details of the records that can be found against the individual or company.

Sandbox environment

When performing a court check in the sandbox environment, the following record will return a match:

Name Searches:

First Name Last Name State
Michael Raymond VIC

Company Searches:

Company State
Samplemart VIC

These samples can be queried with criminal, civil or both record listings.

Request body

Content type application/json. The details of the entity to search court records for.

FieldDescription
type string

The type of entity to search for.

Enum: name, company

Example: name

report string

The type of report to generate.

Enum: summary, detail

Example: summary

listing string

The type of court records to search for.

Enum: civil, criminal, all

Example: civil

name_first string

The first name of the individual when performing a name search. This should not be used in conjunction with name_full in detailed reports. If name_full is set, then name_first will be ignored in detailed reports.

Example: Michael

name_middle string

The middle names of the individual when performing a name search. This should not be used in conjunction with name_full in detailed reports. If name_full is set, then name_middle will be ignored in detailed reports.

name_last string

The last name of the individual when performing a name search. This should not be used in conjunction with name_full in detailed reports. If name_full is set, then name_last will be ignored in detailed reports.

Example: Raymond

name_full string

The full name of the individual when performing a name search in detail reports. This is used to search for the individual in the court records. It should be in the form "Last name, First name Middle name". Eg: "DOE, JOHN JAMES" If you would rather supply the name in its natural order and have it split for you, use name_full_unstructured instead. This field should not be used in summary reports.

name_full_unstructured string [max 80 characters]

The full name of the individual in its natural order, "First name Middle name Last name". Eg: "John James Doe" The API makes a best effort attempt to split this into the first, middle and last name for you, so you do not have to format the name yourself the way name_full requires. This can only be used in detail reports for name searches. Using it in any other type of report will return an error. This field should not be used in conjunction with name_full, name_first, name_middle or name_last. Doing so will return an error. If the name cannot be split into at least a first and a last name, the value you supplied is used as name_full instead. The usual name requirements for a detail report still apply to it, so a value that is not a usable name will still be rejected.

Example: Michael Raymond

company string

The name of the company when performing a company search.

state string

The state to search in. If the state is omitted, then all states will be searched.

Enum: NSW, VIC, QLD, WA, SA, TAS, ACT, NT

Example: VIC

max_results integer

The maximum number of results to return.

Example: 10

first_result integer

Specifies the first result to be returned in the list of records. This is useful when displaying results in a paginated manner.

Example: 0

Responses

200

The result of the court check.

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

function string

The function that was called.

Example: court_check

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

records array of objects

An array of the court records that were found. This will be an empty list if no records are found.

total_records_available integer

The total number of records that are available for the search, regardless of the specified max_results.

Example: 1

Standard error responses: 400 401 402 403 429 5XX See common error responses